Album: Electric Daydreams
Artists:
- Michael Guy Bowman
Date: November 22, 2016
Date Added: February 12, 2021
URLs:
- https://bowman.bandcamp.com/album/electric-daydreams
- https://www.youtube.com/playlist?list=OLAK5uy_mSKmyelfcGkm9w7Ex-cmUC1PI5peXGP4k
- https://open.spotify.com/album/2zpgYeY9LIbsBfSVTnwm65
- https://music.apple.com/album/electric-daydreams/1412547295
Cover Artists:
- Michael Guy Bowman
Color: '#d15d34'
Groups:
- Michael Guy Bowman
- Beyond
Art Tags:
- Michael Guy Bowman
---
Track: The Wild Years
Duration: 3:35
URLs:
- https://bowman.bandcamp.com/track/the-wild-years
- https://www.youtube.com/watch?v=stFYm4iM74c
- https://open.spotify.com/track/0XyuT6IfnEozLbxbD73XNY
- https://music.apple.com/album/the-wild-years/1412547295?i=1412547314
Lyrics: |-
    Oh, the Wild Years
    You're wondering why the world is the way the world is
    Oh, the wilderness
    You don't know where to go or who to know or what you've missed

    You're looking everywhere for something new
    Do all the things you always wanted to
    Live on the highway and sleep in the car
    Bathe in the ocean and love in the bar

    Oh, the wild
    Oh, the Wild Years
    Oh, the Wild Years, the Wild Years, the Wild Years
    Oh, the wild
    Oh, the Wild Years
    Oh, the Wild Years, the Wild Years

    Oh, the Wild Years
    You're wondering why the people are the way the people are
    Oh, the wilderness
    Nowhere you've ever been has ever been so very far

    You're prowling in the allies like a cat
    Crashing on open floors and yoga mats
    Your shirts are dirty and your teeth are green
    But all you want is what you haven't seen

    Oh, the wild
    Oh, the Wild Years
    Oh, the Wild Years, the Wild Years, the Wild Years
    Oh, the wild
    Oh, the Wild Years
    Oh, the Wild Years, the Wild Years, the Wild Years
    Oh, the wild
    Oh, the Wild Years
    Oh, the Wild Years, the Wild Years, the Wild Years
    Oh, the wild
    Oh, the Wild Years
    Oh, the Wild Years, the Wild Years, the Wild Years, the Wild Years

    Wild Years
    Give some away to the way that you're on
    Wild Years
    Let people say they can't say where you've gone
    Wild Years
    Live for the light of the dusk and the dawn
    Oh, those Wild Years

    Oh, the Wild Years
    You're wondering why the world is the way the world is
    Oh, the wilderness
    You've got to have a life to have the right to reminisce

    You might seem crazy, and you may well be
    You're paying the price of living fantasy
    And if you can't recall the reason why
    Look where the empty highway meets the sky
---
Track: Touch My Brain
Contributors:
- Hallie (backup vocals)
Duration: 3:15
URLs:
- https://bowman.bandcamp.com/track/touch-my-brain
- https://www.youtube.com/watch?v=lDSFFIwuyRE
- https://open.spotify.com/track/2kMbf2uM0nlo6qbNKKOtFK
- https://music.apple.com/album/touch-my-brain/1412547295?i=1412547315
Lyrics: |-
    I've been turning on and off the radio
    Looking for a way to go, a way to win

    Skimming through the books and watching every show
    There's too much to know, plug me in

    And oh, how I'd like to be there with you
    On your level, in your memories, on your plane
    And oh, how I'd die just to share with you
    Crack me open
    Happy groping
    Touch my brain

    I can deal with scanners and inception
    My reception is open wide
    'Cause I believe in making true connection
    Full injection, crawl inside

    And oh, how I know you'll be happy here
    Full steam ahead mate, it's my dream boat, break champaign
    And oh, how you'll flow through my hopes and fears
    In the background
    Set the trap now
    Touch my brain

    Have mercy, have mercy
    I'm getting so thirsty
    My dendrites don't bend right
    I need them to mend right
    The wonders are plundered
    So you're going under
    I'll keep you, we'll creep
    To the light at the end

    Get behind the drywall in the wiring
    You're inspiring, breaking ground
    The waves of change are breaking in my wavelength
    I have saved strength, it's found

    And wow, what a cow I must seem to you
    Fistulated, reinflated by your will
    And oh, what a show it really is, you know
    Time to strap in
    Make it happen
    Touch my brain

    Okay, now you're touching my brain
    I don't really like it
    Get out
---
Track: We Don't Know Anything
Contributors:
- Hallie (backup vocals)
Duration: 4:37
URLs:
- https://bowman.bandcamp.com/track/we-dont-know-anything
- https://www.youtube.com/watch?v=985UOax3Lok
- https://open.spotify.com/track/1Z4IyReA2flzOkimYh2e6r
- https://music.apple.com/album/we-dont-know-anything/1412547295?i=1412547316
Cover Artists:
- Michael Guy Bowman
Cover Art File Extension: png
Lyrics: |-
    We don't know anything about love
    We just know what's on the TV
    We don't know anything about life
    We just know what we like to see

    We don't read books
    We sometimes look
    But we always fall asleep
    We follow trends
    And lose our friends

    We don't know anything about truth
    We just know where we're going to stand
    We don't know anything about choice
    We just get movies on demand

    We don't know how
    We just fell down
    From the fryer to the floor
    We lost our taste
    And went to waste

    Oh, we don't know anything at all
    Not the strangers down the hall
    Not the numbers that we call
    Oh, we don't know anything at all
    Not the date and not the year
    Not the reason why we're here

    We don't know when to sleep or wake up
    We just know when we're out of drugs
    We don't know how to date or break up
    We just communicate with shrugs

    We don't know where
    We ought to stare
    When the picture's going black
    Nothing to do
    No hint or clue

    We don't know how it got to this point
    We just forgot to turn the dial
    We don't know anyone in this joint
    We just know we might be a while

    What good are facts?
    I can't relax
    When the news is always bad
    Don't look outside
    No matter what

    Friends, we don't know anything
    And by now we can't even tell
    The food in the kitchen is rotten
    And so are we!
    But at this point, it's how we smell
    So when you're bored
    And you're hungry
    And you're tired
    And you don't want to go out
    Well, there's a screen in every room
    And every pocket
    So tune it all out, because you're tuning in
    To what we're shoving right through your socket

    Oh, we don't know anything at all
    Why the good things feel bad
    Why the music makes you sad
    Oh, we don't know anything at all
    Not the right and not the wrong
    Not the meaning of this song
---
Track: Wherever We Go
Duration: 3:09
URLs:
- https://bowman.bandcamp.com/track/wherever-we-go
- https://www.youtube.com/watch?v=2r_oulVo9nY
- https://open.spotify.com/track/2OcUqDSLBBMukd8d3HAZII
- https://music.apple.com/album/wherever-we-go/1412547295?i=1412547317
Music Videos:
- Date: July 20, 2017
  URL: https://www.youtube.com/watch?v=2r_oulVo9nY
  Artists: # no listed credits
  - Michael Guy Bowman
Lyrics: |-
    Wherever we go
    I'm sure we'll be fine
    Let's get out the door
    And go down the line
    Pull out the maps
    We're taking a lap 'round the signs

    Wherever we go
    There's something to do
    So just name a place
    I'll leave it to you
    We're painting the town
    Circling round
    Passing through

    Oh, wherever we go, we go
    Oh, whatever we know, we know
    Oh, we've got such a long way to go

    Wherever we go
    It's one of those days
    Out in the sun
    Under the haze
    There's nothing to lose
    Whatever we choose
    Is OK

    Wherever we go
    Is where I wanna be
    The high and the low life
    It's all fine by me
    Up 'til it's late
    I just wanna wait
    And see

    Oh, wherever we go, we go
    Oh, whatever we know, we know
    Oh, we've got such a long way to go

    Wherever we go, we go, oh no
    Whatever we know, we know, oh no
    Wherever we go, we go, we go
---
Track: I'm Seeing Everything
Duration: 3:25
URLs:
- https://bowman.bandcamp.com/track/im-seeing-everything
- https://www.youtube.com/watch?v=Xu45ChIEZNY
- https://open.spotify.com/track/2UBnLVggdwBHOFNBTII4QV
- https://music.apple.com/album/im-seeing-everything/1412547295?i=1412547318
Music Videos:
- Label: Acoustic Version
  Label Style: title
  Date: March 24, 2017
  URL: https://www.youtube.com/watch?v=QYskUxgJBCs
Lyrics: |-
    There's nothing wrong with walking through your door
    So long as I can cover up my tracks
    I mosey round your room while you are gone
    I'll be out before you're even back

    And I'm not taking anything
    I'm just touching everything
    The dirty dishes on your stove
    The pockets in your fancy clothes
    And I'm not missing anything
    I'm just feeling everything
    The scent of you upon your sheets
    Your toothbrush against my grinning teeth

    There's nothing wrong with looking through the glass
    So long as you don't see me through the blinds
    I'm never bored, no matter what you do
    I always want to know what's on your mind

    And I'm not taking anything
    I'm just part of everything
    'Cause everything you have is shared
    As long as you don't know I'm there
    And I'm not missing anything
    I'm just into everything
    The stuff you hide beneath the bed
    I wonder what's inside your head
    But I'm not taking anything
    I'm just seeing everything
    The food you cook, the way you sleep
    The jokes you laugh at on TV
    And I'm not missing anything
    I'm just loving everything
    But now you're getting much too high
    You're crashing out, I don't know why

    Your vomit is red
    Oh God, are you dead?
    You're falling to the floor
    You can't reach the phone
    You're in there alone
    I'm breaking down your door
    You're barely awake
    Your body could break
    I don't know what to do
    But your car's in the back
    And your key's on the rack
    And now I'm holding you

    And I'm not sure of anything
    But you, my dear, are everything
    I'm gunning it inside your car
    I'm pulling into the ER
    And I'm not saying anything
    'Cause now I'm losing everything
    They load you on the stretcher now
    I leave the keys and bail out

    And now I'm seeing everything
    But I'm not saying anything
    And now I'm seeing everything

    Two weeks have gone by, and it's good to see you home
    But there's bars on the windows, my cover is blown
    You're locking the door, and you're closing the blinds
    But I'm in the glass when your eyes meet mine
---
Track: Suicide Hotline
Duration: 2:24
URLs:
- https://bowman.bandcamp.com/track/suicide-hotline
- https://www.youtube.com/watch?v=fqfLWlC7X6U
- https://open.spotify.com/track/5ZtdigmRjeeT9eDKaJtf0a
- https://music.apple.com/album/suicide-hotline/1412547295?i=1412547319
Music Videos:
- Date: February 9, 2017
  URL: https://www.youtube.com/watch?v=fqfLWlC7X6U
  Artists:
  - Michael Guy Bowman
  Contributors:
  - Hadron (CGI)
  - Alex Glon (fanart)
  - Cecily Renns (fanart)
  - Double Hats Eyewear (fanart)
  - Greouf Reough (fanart)
  - Jake Masterson (fanart)
  - Jessica Sillman (fanart)
  - Josh Noble (fanart)
  - koykoy13 (fanart)
  - Lang Strife (fanart)
  - Makin (fanart)
  - Muehleder Vivian (fanart)
  - Scarodactyl (fanart)
  - Skyplayer (fanart)
  - SoulGuardianXV (fanart)
  - tempest2k (fanart)
  - Ucklin (fanart)
Lyrics: |-
    All the friends you used to know
    Remember how it used to go
    With you and them and what they said
    And what you're doing now instead

    Swore that you would show 'em all
    And leave behind the shopping malls
    And water towers and power lines
    And climb as high as you can climb

    You can't go back, you're up there now
    You're too far out to just come down
    There's nothing left to break your fall
    And you can't bear to lose it all

    Suicide Hotline
    I'm supposed to care, but I don't
    I see the stop sign
    I should just wait there, but I won't
    Suicide Hotline
    It's more than I can bear

    Fake a smile, punch a clock
    Haul the garbage 'round the block
    Give away another year
    To proving why you're hanging here

    Conversations never start
    Regarding contents of your heart
    Full to burst, but nothing's changed
    While all the world has rearranged

    Around you in the center of
    A halfway life you never loved
    If you can't learn to love it now
    What little's up could all come down

    Suicide Hotline
    I'm supposed to care, but I don't
    I see the stop sign
    I should just wait there, but I won't
    Suicide Hotline
    It's more than I can bear

    I'm waiting for an arm to grab me
    I'm looking for a net below
    I don't see anybody waiting
    I've got to let somebody know

    Suicide Hotline
    I'm supposed to care, but I don't
    I see the stop sign
    I should just wait there, but I won't
    Suicide Hotline
    It's more than I can bear
Crediting Sources: |-
    <i>Michael Guy Bowman:</i> ([music video YouTube description](https://www.youtube.com/watch?v=fqfLWlC7X6U), excerpt)

    Music and video by [[artist:michael-guy-bowman]].<br>
    CGI by [[artist:hadron]]

    FAN ART:<br>
    [[artist:alex-glon]]<br>
    [[artist:cecily-renns]]<br>
    [[artist:double-hats-eyewear]]<br>
    [[artist:greouf-reough]]<br>
    [[artist:jake-masterson]]<br>
    [[artist:jessica-sillman]]<br>
    [[artist:josh-noble]]<br>
    [[artist:koykoy13]]<br>
    [[artist:lang-strife]]<br>
    [[artist:makin]]<br>
    [[artist:muehleder-vivian]]<br>
    [[artist:scarodactyl]]<br>
    [[artist:skyplayer]]<br>
    [[artist:soulguardianxv]]<br>
    [[artist:tempest2k]]<br>
    [[artist:ucklin]]
---
Track: Tomorrow's Gonna Come
Duration: 3:04
URLs:
- https://bowman.bandcamp.com/track/tomorrows-gonna-come
- https://www.youtube.com/watch?v=pnVW71lwybY
- https://open.spotify.com/track/3DqJfIv8nKoDQqGshENxhN
- https://music.apple.com/album/tomorrows-gonna-come/1412547295?i=1412547320
Music Videos:
- Date: January 4, 2017
  URL: https://www.youtube.com/watch?v=pnVW71lwybY
  Artists:
  - Michael Guy Bowman
Lyrics: |-
    Every single day, I feel it happening
    The moving of the rocks, the tremors and the shocks
    Heaven only knows which way it's coming from
    But tomorrow's gonna come real soon

    People all along the street
    Stumble over on their feet
    Always falling down and down and down
    Pilots in the windy sky
    Don't you ever wonder why
    We keep going round and round and round?

    Every single word you say, it takes me there
    I've seen it on the news, I feel it in my shoes
    I won't sleep at all until the work is done
    For tomorrow's gonna come real soon

    And when it comes, I will be there with my open arms
    And when I feel it, I will know it can't do me harm
    And when the world I know is gone, I'll be moving on
    When we change

    Every single television's always on
    People in the lines all listening for signs
    High up on the hills, I hear the beating drums
    For tomorrow's gonna come real soon

    And when it comes, I will be there with my open arms
    And when I feel it, I will know it can't do me harm
    And when the world I know is gone, I'll be moving on
    When we change

    Every single day, I feel it happening
    And if you don't believe, just look around and see
    Heaven only knows which way it's coming from
    But tomorrow's gonna come real soon
Crediting Sources: |-
    <i>Michael Guy Bowman:</i> ([music video YouTube description](https://www.youtube.com/watch?v=pnVW71lwybY), excerpt)

    Music and video by [[artist:michael-guy-bowman]].
---
Track: Purgatory
Suffix Directory: true
Always Reference By Directory: true
Duration: 5:20
URLs:
- https://bowman.bandcamp.com/track/purgatory
- https://www.youtube.com/watch?v=x1zvH8JiPY4
- https://open.spotify.com/track/1zXKf86IMJyb4JQxXAF2Ss
- https://music.apple.com/album/purgatory/1412547295?i=1412547321
Cover Artists:
- Hieronymous Bosch (original artwork)
Lyrics: |-
    Oh Muses guide me, please provide me with your hallowed song
    I've been to Hell and back, I'm losing track of the road I'm on
    Help my recounting of this mountain rising in the dawn

    I've been traipsing every terrace up in Purgatory
    Crowded by sinner's souls stripped of every dignity
    Carrying the weight of what I've done and all the worst of me

    I'm taking the long road
    I'm starting the fire
    Next time that you see me
    I'll be higher

    I see the pride, I see the envy and the anger now
    I see the ones who wait, the ones who take, or just ate out
    I see the lovers without love are not without a doubt

    The days are long, we walk in circles while the sun is high
    We look for answers if there's chance for us in Paradise
    Heaven knows I will climb unto the stars to make things right

    Oh man, it's easy from the outside looking in
    The stairs are not so tall for those who can begin
    Oh, but I've been looking so far out of frame

    I focus now upon my feet upon the path
    I make the distance, let the step stones do the math
    I know the next half of life won't be the same

    I'm not searching for a sliver of a silver lining
    I am taking what is left that I can say is mine
    And if the road I'm on is long and winding
    Well, you know, it's fine

    I'll be drinking from the river at the end of this
    And know that when I look into the eyes of Beatrice
    I will be purified of all that I no longer miss
